aboutsummaryrefslogtreecommitdiff
path: root/board/pc/post-image-efi.sh
diff options
context:
space:
mode:
Diffstat (limited to 'board/pc/post-image-efi.sh')
-rwxr-xr-xboard/pc/post-image-efi.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/board/pc/post-image-efi.sh b/board/pc/post-image-efi.sh
index 178565f18b..a0df70a6ab 100755
--- a/board/pc/post-image-efi.sh
+++ b/board/pc/post-image-efi.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -e
+
UUID=$(dumpe2fs "$BINARIES_DIR/rootfs.ext2" 2>/dev/null | sed -n 's/^Filesystem UUID: *\(.*\)/\1/p')
sed -i "s/UUID_TMP/$UUID/g" "$BINARIES_DIR/efi-part/EFI/BOOT/grub.cfg"
sed "s/UUID_TMP/$UUID/g" board/pc/genimage-efi.cfg > "$BINARIES_DIR/genimage-efi.cfg"